
/*** X10CTRL.H */

#define DATAFILENAME  "X10:x10data"


#define deviceMax  32		/* number of BSR channel numbers */
#define DEVNAMELEN 16

/** recordlimit, below, is half the number events that an X10 can store.
	this is because there could be two x10 events for each activity
	on this program's screen... one for ON and another for OFF ***/
#define recordlimit 64

#define Yorg 10			/* offset from window top to my graphics area */
#define GADx 10
#define GADy 300

#define GADwidth 72
#define GADheight 16

#define gpl 4				/* gadgets per line */
#define gadline 40			/* which line gadgets start on */
#define charwidth 8			/* width of font in pixels */
#define gadCspacing 10		/* Character spacing for gadget characters */
#define	infocol 50			/* column number for the info() display */

#define bsrHUH 0		/* related to BSR (X10) command codes */
#define bsrON  2
#define bsrOFF 3
#define bsrDIM 5
#define bsrMAX bsrDIM+1

#define	barheight   6	/* see TimeGraticule() */
#define	barspacing  2
#define barsize     8
#define HourSpacing 20

/** Flags field of structure Events{} */
#define SECURITY	1	/* controls byte 20 of timer event download packet */
#define FLAGSUNSET  2

/* RGB values for certain colors */

#define KBLACK		0x0002
#define KWHITE		0x0FFF
#define KRED		0x0D22
#define KORANGE		0x0F80
#define KBLUE		0x055F
#define KPURPLE		0x0F0F
#define KGREEN		0x00F0
#define KCYAN		0x00FF
#define KDARKBROWN	0x0620
#define KREDORANGE	0x0E50
#define KLIMEGREEN	0x09F1
#define KGOLD		0x0EB0
#define KDEEPBLUE	0x0008
#define KVIOLET		0x092F
#define KBLUEGREEN	0x00F8
#define KGRAY8		0x0888

/* Equate 16 colors in screen palette to RGB values;
   These values appear in an array declaration in x10struct.c */

#define DEEPBLUE 	0
#define COLOR0	KBLACK

#define WHITE		1
#define COLOR1	KWHITE

#define	LIMEGREEN 	2
#define COLOR2	KLIMEGREEN

#define	ORANGE		3
#define COLOR3	KORANGE

#define BLUE		4
#define COLOR4	KBLUE

#define	PURPLE		5
#define COLOR5	KPURPLE

#define	CYAN		6
#define COLOR6	KCYAN

#define	BLUEGREEN 	7
#define COLOR7	KBLUEGREEN

#define	DARKBROWN	8
#define COLOR8	KDARKBROWN

#define	REDORANGE 	9
#define COLOR9	KREDORANGE

#define	GREEN		10
#define COLOR10	KGREEN

#define	GOLD		11
#define COLOR11	KGOLD

#define GRAY8		12
#define COLOR12	KGRAY8

#define	VIOLET		13
#define COLOR13	KVIOLET

#define BLACK		14
#define COLOR14	KBLACK

#define RED			15
#define COLOR15	KRED

#define GREY8 GRAY8

#define DAYGADCOLORS GOLD,DARKBROWN

#define PENTEXT1	  ORANGE	  
#define TIMELINECOLOR KVIOLET
#define TIMEFILLCOLOR GRAY8
#define DEVNAMECOLOR  LIMEGREEN
#define DAYCOLOR0	  4

#if 1
#define SCREENMAXX 650	/* size of main window */
#define SCREENMAXY 420
#else
#define SCREENMAXX 640	/* size of main window */
#define SCREENMAXY 400
#endif

#define nw1X 200		/* size of small window used for string requests */
#define nw1Y 100

#define VERBOSE 0		/* prints out debug messages */





